Skip to Content
veriom

Add workspace domain

Add a domain to verify; the response names the TXT record to publish.

POST
/v1/workspaces/{workspace_id}/identity/domains

Add a domain to verify; the response names the TXT record to publish.

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Request Body

application/json
  1. body
domain*Domain
Length3 <= length <= 253

Response Body

Successful Response

application/json
  1. response
created_at*Created At
Formatdate-time
domain*Domain
id*Id
Formatuuid
last_checked_at*|null
status*Status
Value in"pending""verified"
txt_record_name*Txt Record Name

Where to publish the TXT record.

txt_record_value*Txt Record Value

The exact TXT value that proves the domain.

verified_at*|null
Example Request
curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/identity/domains' \  -H 'Content-Type: application/json' \  -d '{  "domain": "string"}'
Example Response
{  "created_at": "2019-08-24T14:15:22Z",  "domain": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "last_checked_at": "2019-08-24T14:15:22Z",  "status": "pending",  "txt_record_name": "string",  "txt_record_value": "string",  "verified_at": "2019-08-24T14:15:22Z"}